Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db.flat
Class FlatSequenceDBProvider

    java.lang.Object
      org.biojava.bio.seq.db.flat.FlatSequenceDBProvider

All Implemented Interfaces:
  SequenceDBProvider

    public class FlatSequenceDBProvider

extends Object
implements SequenceDBProvider

`FlatSequenceDBProvider` directory-services plugin for flatfile databases. This class is instantiated automatically by the directory-services code, and is not of direct interest to users.

Author:
  Keith James

Constructor Summary
`FlatSequenceDBProvider()`

Method Summary
`String` | `getName()` The name of this provider.
`SequenceDBLite` | `getSequenceDB(Map config)` Get a sequence database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatSequenceDBProvider

    public FlatSequenceDBProvider()

Method Detail

### getName

    public String getName()

  Description copied from interface: `SequenceDBProvider`
  The name of this provider.

  Specified by:
    `getName` in interface `SequenceDBProvider`
  Returns:
    the provider's name.

### getSequenceDB

    public SequenceDBLite getSequenceDB(Map config)
                                 throws RegistryException,
                                        BioException

  Description copied from interface: `SequenceDBProvider`
  Get a sequence database.

  Specified by:
    `getSequenceDB` in interface `SequenceDBProvider`
  Parameters:
    `config` - a Map containing key-value pairs identifying the database to resolve.
  Returns:
    a SequenceDBLite that was resolved.
  Throws:
    `RegistryException`
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD